
#ifndef _KXENCTLLIB_H_
#define _KXENCTLLIB_H_

#include <kxen_desc.h>

int kxen_manage_driver(BOOLEAN, BOOLEAN);
HANDLE kxen_open(int, BOOLEAN);
void kxen_close(HANDLE);
int kxen_init(HANDLE);
int kxen_shutdown(HANDLE);
int kxen_load(HANDLE, const char *);
int kxen_unload(HANDLE);
int kxen_output_version_info(HANDLE, FILE *);
int kxen_trigger_keyhandler(HANDLE, const char *);
int kxen_hypercall(HANDLE, struct kxen_hypercall_desc *);
int kxen_hvmop(HANDLE, struct kxen_hvmop_desc *);
int kxen_memop(HANDLE, struct kxen_memop_desc *);
int kxen_domctl(HANDLE, struct kxen_domctl_desc *);
int kxen_mmapbatch(HANDLE, struct kxen_mmapbatch_desc *);
int kxen_munmap(HANDLE, struct kxen_munmap_desc *);
int kxen_vmappings(HANDLE, struct kxen_vmappings_desc *);
int kxen_execute(HANDLE);

#endif
